import { action } from '@storybook/addon-actions';
import { withKnobs, text } from '@storybook/addon-knobs/react';
import { Story, Source, Props, Meta, Description } from '@storybook/addon-docs/blocks';
import { Button } from '.';

<Meta
    title='Components | Button'
    decorators={[ withKnobs ]}
    parameters={{ framework: 'react' }}
/>

# Button

Simple button

<Story name="as default">
  <Button onClick={action('clicked')}>{text('Children', 'Hello button!')}</Button>
</Story>

<Source id="components-button--as-default" />
<Description of={Button} />
<Props of={Button} />


# LinkButton

<Story name="with emoji">
  <Button.Link href={text('href', '/')}>🤘🚀💯</Button.Link>
</Story>

<Source id="components-button--with-emoji" />
<Description of={Button.Link} />
<Props of={Button.Link} />

